Bug 305389 - Stream metadata is not saved to playlist upon Amarok restart
Summary: Stream metadata is not saved to playlist upon Amarok restart
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.6.0
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-08-18 13:11 UTC by Modestas Vainius
Modified: 2013-01-16 22:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Modestas Vainius 2012-08-18 13:11:23 UTC
I have a couple of streams in the current playlist. Whenever I play them, their metadata is fetched and playlist entry is updated accordingly. However, when I restart amarok, 

1. Additional stream URLs are lost (i.e. neither blue circle in the track icon nor appropriate context menu item are accessible anymore).
2. All other stream metadata when which was fetched when it was last played including station name (album) and track name is lost. Stream title in the playlist is back to "Stream (URL here)". I could understand if only current title was reset, but not album name. I have 10+ streams in the playlist and surely don't remember which is which by cryptic URLs. Earlier Amarok versions used to save this metadata properly.

Reproducible: Always
Comment 1 Myriam Schweingruber 2012-08-19 13:57:33 UTC
Is this behavior the same with the gstreamer and the vlc backend?
Comment 2 Modestas Vainius 2012-08-21 20:09:59 UTC
Yes
Comment 3 Matěj Laitl 2013-01-16 22:42:46 UTC
Git commit 166ea28a942d362ec17142e28f31596411eb8e06 by Matěj Laitl.
Committed on 16/01/2013 at 23:41.
Pushed by laitl into branch 'master'.

MetaProxy, MetaStream: restore saved stream metadata on start

BUGFIXES:
  * Fix a regression where stream metadata would be forgotten on start.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +7    -2    src/core-impl/meta/proxy/MetaProxy_p.h
M  +17   -0    src/core-impl/meta/stream/Stream.cpp
M  +14   -2    src/core-impl/meta/stream/Stream.h
M  +5    -2    src/core-impl/playlists/types/file/xspf/XSPFPlaylist.h

http://commits.kde.org/amarok/166ea28a942d362ec17142e28f31596411eb8e06